SETLOCAL
cd /d %DPATH%

findstr /I /M "BG1NPCSOA.TP2~.*#.*#0./" %ELOG%>nul
if %errorlevel%==0 (
	findstr /I /M "VARSHOON.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "0 30 50 70 90"
	)
	findstr /I /M "AEON.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "1 31 51 71"
	)
	findstr /I /M "PETSY.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "2 32"
	)
	findstr /I /M "ANGELO.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "3"
	)
	findstr /I /M "STAR.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "4 33 52"
	)
	findstr /I /M "KINDREK.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "5 34"
	)
	findstr /I /M "SAERILETH.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "6 35 53"
	)
	findstr /I /M "YASRAENA.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "7 36 60"
	)
	findstr /I /M "TSUJATHA.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "8 37 54"
	)
	findstr /I /M "SOLAUFEIN.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "9"
	)
	findstr /I /M "VALEN.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "10 55 91"
	)
	findstr /I /M "SWYLIF.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "11"
	)
	findstr /I /M "NEH'TANIEL.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "12"
	)
	findstr /I /M "KITANYA.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "13"
	)
	findstr /I /M "KIARA-ZAIYA.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "14 38 56 73"
	)
	findstr /I /M "HORACE.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "15 39 57 74"
	)
	findstr /I /M "ALLISON.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "16 40"
	)
	findstr /I /M "TSUKIBG2.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "17 42 92"
	)
	findstr /I /M "QUESTOR.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "18 43 75"
	)
	findstr /I /M "KETO.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "19"
	)
	findstr /I /M "BIDDE.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "20 72"
	)
	findstr /I /M "HUBELPOT.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "21 44"
	)
	findstr /I /M "STIVAN.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "41"
	)
	findstr /I /M "KIDO.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "45"
	)
)
findstr /I /M "BG1NPCSOA.TP2~.*#.*#20./" %ELOG%>nul
if %errorlevel%==0 (
	findstr /I /M "STIVAN.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "110"
	)
)
findstr /I /M "BG1NPCSOA.TP2~.*#.*#70./" %ELOG%>nul
if %errorlevel%==0 (
	findstr /I /M "STAR.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "120"
	)
	findstr /I /M "NEH'TANIEL.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "121"
	)
	findstr /I /M "KIARA-ZAIYA.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "122 140"
	)
	findstr /I /M "HORACE.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "123"
	)
	findstr /I /M "KITANYA.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "124"
	)
	findstr /I /M "STIVAN.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "125 141"
	)
	findstr /I /M "TSUKIBG2.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "126"
	)
	findstr /I /M "QUESTOR.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "127"
	)
	findstr /I /M "BIDDE.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "142"
	)
	findstr /I /M "YASRAENA.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "143"
	)
)
findstr /I /M "BG1NPCSOA.TP2~.*#.*#90./" %ELOG%>nul
if %errorlevel%==0 (
	findstr /I /M "BIDDE.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "160"
	)
	findstr /I /M "YASRAENA.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "161"
	)
	findstr /I /M "QUESTOR.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "162"
	)
	findstr /I /M "KIDO.TP2~.*#.*#0./" %ELOG%>nul
	if not errorlevel 1 (
		Call %EINSTI% SmilingImpCrossBanterMod "163"
	)
)
